---
apiVersion: v1
kind: Namespace
metadata:
  name: demospace

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: helloservice
  namespace: demospace
spec:
  selector:
    matchLabels:
      app: helloservice
  template:
    metadata:
      labels:
        app: helloservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: ghcr.io/podtato-head/podtatoserver:v0.1.0
        #image: ghcr.io/podtato-head/podtatoserver:v0.1.1
        #image: ghcr.io/podtato-head/podtatoserver:v0.1.2
        imagePullPolicy: Always
        ports:
        - containerPort: 9000
        env:
        - name: PORT
          value: "9000"

---
apiVersion: v1
kind: Service
metadata:
  name: helloservice
  namespace: demospace
spec:
  selector:
    app: helloservice
  ports:
  - name: http
    port: 9000
    protocol: TCP
    targetPort: 9000
  type: LoadBalancer
